# Create a Slide Deck from Text

Implements the [text-based slide deck recipe](/quick-start/slide-decks/from-text.md) with `outputType: "slide_deck"`.

```java
// Requires Java 17+ (text blocks) and the java.net.http module.
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class SlideDeckFromText {
    public static void main(String[] args) throws Exception {
        String token = System.getenv().getOrDefault("AUTOCONTENT_TOKEN", "YOUR_API_TOKEN");
        String payload = """
{
  "outputType": "slide_deck",
  "resources": [
    { "type": "text", "content": "Internal memo on the new analytics rollout, timeline, and launch messaging." }
  ],
  "text": "Build a 10-slide deck with an executive summary, timeline, risks, and next steps.",
  "duration": "default",
  "slideDeckFormat": "detailed"
}
""";

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create("https://api.autocontentapi.com/content/Create"))
                .header("Authorization", "Bearer " + token)
                .header("Content-Type", "application/json")
                .POST(HttpRequest.BodyPublishers.ofString(payload))
                .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

        if (response.statusCode() >= 400) {
            System.err.println("Request failed: " + response.statusCode());
            System.err.println(response.body());
            System.exit(1);
        }

        System.out.println("Slide deck request accepted: " + response.body());
    }
}
```

Set `YOUR_API_TOKEN` (or `AUTOCONTENT_TOKEN`) before running.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autocontentapi.com/code-samples/slide-decks/java/from-text.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
